--- old/usr/src/uts/sun4/os/intr.c	Fri Jul 19 00:05:59 2013
+++ new/usr/src/uts/sun4/os/intr.c	Fri Jul 19 00:05:59 2013
@@ -22,6 +22,9 @@
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
+/*
+ * Copyright (c) 2013, Joyent, Inc.  All rights reserved.
+ */
 
 #include <sys/sysmacros.h>
 #include <sys/stack.h>
@@ -119,7 +122,8 @@
 	 * Software interrupts up to the level 10 are supported.
 	 */
 	for (i = DDI_IPL_1; i <= DDI_IPL_10; i++) {
-		siron_inum[i-1] = add_softintr(i, (softintrfunc)timer_softintr,
+		siron_inum[i - 1] = add_softintr(i,
+		    (softintrfunc)ddi_periodic_softintr,
 		    (caddr_t)(uintptr_t)(i), SOFTINT_ST);
 	}
 
